regina::xml::XMLParserCallback Class Reference
Utilities

Provides the callbacks for an XMLParser. More...

`#include <utilities/xmlutils.h>`

Inheritance diagram for regina::xml::XMLParserCallback:

## Public Member Functions

virtual | ~XMLParserCallback ()
| Default destructor that does nothing. More...
virtual void | start_document (XMLParser *parser)
| Called at the start of the document. More...
virtual void | end_document ()
| Called when the document is finalised. More...
virtual void | start_element (const std::string &n, const regina::xml::XMLPropertyDict &p)
| Called when an element's opening tag is encountered. More...
virtual void | end_element (const std::string &n)
| Called when an element's closing tag is encountered. More...
virtual void | characters (const std::string &s)
| Called when characters are encountered. More...
virtual void | comment (const std::string &s)
| Called when a comment is encountered. More...
virtual void | warning (const std::string &s)
| Called when a parser warning occurs. More...
virtual void | error (const std::string &s)
| Called when a parser error occurs. More...
virtual void | fatal_error (const std::string &s)
| Called when a parser fatal error occurs. More...

## Detailed Description

Provides the callbacks for an XMLParser.

The various routines in this class will be called when corresponding elements of the XML file being parsed are encountered.

The routines in this class do nothing; you will need to create a derived class that overrides some or all of these routines to do the processing that you require.

Python:
  Not present.

Author
  This class was taken and modified from the libxml++ library (`http://lusis.org/~ari/xml++/`).

## Constructor & Destructor Documentation

regina::xml::XMLParserCallback::~XMLParserCallback | ( |  | ) |

inline virtual

Default destructor that does nothing.

## Member Function Documentation

void regina::xml::XMLParserCallback::characters | ( | const std::string & | s | ) |

inline virtual

Called when characters are encountered.

Parameters

  s | the characters encountered.

Reimplemented in regina::NXMLCallback.

void regina::xml::XMLParserCallback::comment | ( | const std::string & | s | ) |

inline virtual

Called when a comment is encountered.

Parameters

  s | the comment string.

void regina::xml::XMLParserCallback::end_document | ( |  | ) |

inline virtual

Called when the document is finalised.

Reimplemented in regina::NXMLCallback.

void regina::xml::XMLParserCallback::end_element | ( | const std::string & | n | ) |

inline virtual

Called when an element's closing tag is encountered.

This is called immediately after start_element() if the opening tag is in `<tag/>` format.

Parameters

  n | the name of the tag.

Reimplemented in regina::NXMLCallback.

void regina::xml::XMLParserCallback::error | ( | const std::string & | s | ) |

inline virtual

Called when a parser error occurs.

Parameters

  s | the error message.

Reimplemented in regina::NXMLCallback.

void regina::xml::XMLParserCallback::fatal_error | ( | const std::string & | s | ) |

inline virtual

Called when a parser fatal error occurs.

Parameters

  s | the error message.

Reimplemented in regina::NXMLCallback.

void regina::xml::XMLParserCallback::start_document | ( | XMLParser * | parser | ) |

inline virtual

Called at the start of the document.

Parameters

  parser | the XML parser that is currently parsing this document.

Reimplemented in regina::NXMLCallback.

void regina::xml::XMLParserCallback::start_element | ( | const std::string & | n,
|  | const regina::xml::XMLPropertyDict & | p
| ) |  |

inline virtual

Called when an element's opening tag is encountered.

Parameters

  n | the name of the tag.
  p | a dictionary of all the properties of the tag.

Reimplemented in regina::NXMLCallback.

void regina::xml::XMLParserCallback::warning | ( | const std::string & | s | ) |

inline virtual

Called when a parser warning occurs.

Parameters

  s | the warning message.

Reimplemented in regina::NXMLCallback.

The documentation for this class was generated from the following file:

- utilities/xmlutils.h

Copyright © 1999-2014, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@debian.org).